niReg

niReg allows registration and deregistration of modules from OpenNI. Registered modules participate in the enumeration process. This utility is commonly used by modules installations.

# Usage

niReg [options] <module_path> [config_dir]

The following options can be used:

- -r Registers a module to OpenNI.
- -u Unregisters a module from OpenNI.

If no option is supplied, `-r` is assumed.

When registering a module, an optional configuration directory can be passed. This directory will be passed to the module when loaded from OpenNI, allowing it to have custom configuration files.